Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente
Class DatiInquadramentoContrattuale

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente.DatiInquadramentoContrattuale

    public class DatiInquadramentoContrattuale

extends java.lang.Object

Dati di inquadramento contrattuale del dipendente.

Field Summary
`private java.lang.String` | `codCategoria` Codice della categoria in cui è inquadrato il dipendente come da CCNL del Comparto Sanità.
`private java.lang.String` | `codDisciplina` Codice della disciplina, di un Dirigente con ruolo sanitario, riconosciuta dalla normativa e dai contratti collettivi di lavoro.
`private java.lang.String` | `codProfilo` Codice del profilo professionale riconosciuto dalla normativa e dai contratti collettivi di lavoro.
`private java.lang.Integer` | `codQualifica` Codice della qualifica riconosciuta dalla normativa e dai contratti collettivi di lavoro del Comparto Sanità.
`private int` | `codRuolo` Codice tipologia di ruolo associato al dipendente SSR.
`private java.lang.Integer` | `codTipoIncaricoDDS` Codice tipologia di incarico prevista per il personale del comparto con categoria D o Ds.
`private java.lang.Integer` | `codTipologiaIncarico` Codice tipologia incarico funzionale riconosciuta dalla normativa e dai contratti collettivi di lavoro riconosciuta dal CCNL.
`private java.lang.String` | `dataFineConferimentoIncaricoDDS` Data di fine validità della tipologia di incarico per il personale comparto categoria D o Ds.
`private java.lang.String` | `dataInizioAssegnazione` Data in cui viene assegnato un determinato inquadramento contrattuale ad un dipendente della Dirigenza Sanità oppure di Comparto Sanità.
`private java.lang.String` | `dataInizioConferimentoIncaricoDDS` Data di conferimento della tipologia di incarico per il personale comparto categoria D o Ds.
`private java.lang.String` | `fasciaRetributiva` Codice classe corrispondente alla fascia retributiva (derivante dalla contrattazione integrativa) come da CCNL del Comparto Sanità.

Constructor Summary
`DatiInquadramentoContrattuale()`

Method Summary
`java.lang.String` | `getCodCategoria()`
`java.lang.String` | `getCodDisciplina()`
`java.lang.String` | `getCodProfilo()`
`java.lang.Integer` | `getCodQualifica()`
`int` | `getCodRuolo()`
`java.lang.Integer` | `getCodTipoIncaricoDDS()`
`java.lang.Integer` | `getCodTipologiaIncarico()`
`java.lang.String` | `getDataFineConferimentoIncaricoDDS()`
`java.lang.String` | `getDataInizioAssegnazione()`
`java.lang.String` | `getDataInizioConferimentoIncaricoDDS()`
`java.lang.String` | `getFasciaRetributiva()`
`void` | `setCodCategoria(java.lang.String codCategoria)`
`void` | `setCodDisciplina(java.lang.String codDisciplina)`
`void` | `setCodProfilo(java.lang.String codProfilo)`
`void` | `setCodQualifica(java.lang.Integer codQualifica)`
`void` | `setCodRuolo(int codRuolo)`
`void` | `setCodTipoIncaricoDDS(java.lang.Integer codTipoIncaricoDDS)`
`void` | `setCodTipologiaIncarico(java.lang.Integer codTipologiaIncarico)`
`void` | `setDataFineConferimentoIncaricoDDS(java.lang.String dataFineConferimentoIncaricoDDS)`
`void` | `setDataInizioAssegnazione(java.lang.String dataInizioAssegnazione)`
`void` | `setDataInizioConferimentoIncaricoDDS(java.lang.String dataInizioConferimentoIncaricoDDS)`
`void` | `setFasciaRetributiva(java.lang.String fasciaRetributiva)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codRuolo

    @Facets(totalDigits=4L)
    @MinOccurs(value=1L)
    private int codRuolo

  Codice tipologia di ruolo associato al dipendente SSR. Cfr. Appendice A - D4.14 D4.15 Specifica tecnica dei flussi informativi ed esportazione dati. Area Dotazioni Organiche e Ruoli Nominativi del Personale.

### codProfilo

    @Facets(minLength=1L,
            maxLength=3L)
    @MinOccurs(value=1L)
    private java.lang.String codProfilo

  Codice del profilo professionale riconosciuto dalla normativa e dai contratti collettivi di lavoro. Cfr. Appendice B (per dirigenza), Appendice C (per comparto) - D4.14 D4.15 Specifica tecnica dei flussi informativi ed esportazione dati. Area Dotazioni Organiche e Ruoli Nominativi del Personale.

### codTipologiaIncarico

    @Facets(totalDigits=3L)
    @MinOccurs(value=0L)
    private java.lang.Integer codTipologiaIncarico

  Codice tipologia incarico funzionale riconosciuta dalla normativa e dai contratti collettivi di lavoro riconosciuta dal CCNL. Cfr. Appendice B - D4.14 D4.15 Specifica tecnica dei flussi informativi ed esportazione dati. Area Dotazioni Organiche e Ruoli Nominativi del Personale. Il campo è obbligatorio per la dirigenza.

### codDisciplina

    @Facets(maxLength=6L)
    @MinOccurs(value=0L)
    private java.lang.String codDisciplina

  Codice della disciplina, di un Dirigente con ruolo sanitario, riconosciuta dalla normativa e dai contratti collettivi di lavoro. Cfr. Appendice D - D4.14 D4.15 Specifica tecnica dei flussi informativi ed esportazione dati. Area Dotazioni Organiche e Ruoli Nominativi del Personale. Il campo è obbligatorio per dirigenza con ruolo uguale a 1 o 2.

### codQualifica

    @Facets(totalDigits=3L)
    @MinOccurs(value=0L)
    private java.lang.Integer codQualifica

  Codice della qualifica riconosciuta dalla normativa e dai contratti collettivi di lavoro del Comparto Sanità. Cfr. Appendice C - D4.14 D4.15 Specifica tecnica dei flussi informativi ed esportazione dati Area Dotazioni Organiche e Ruoli Nominativi del Personale. Il campo è obbligatorio in caso di comparto.

### codCategoria

    @Facets(maxLength=3L)
    @MinOccurs(value=0L)
    private java.lang.String codCategoria

  Codice della categoria in cui è inquadrato il dipendente come da CCNL del Comparto Sanità. Cfr. Appendice C - D4.14 D4.15 Specifica tecnica dei flussi informativi ed esportazione dati Area Dotazioni Organiche e Ruoli Nominativi del Personale. Il campo è obbligatorio in caso di comparto.

### fasciaRetributiva

    @Facets(pattern="(A|A1|A2|A3|A4|A5|B|B1|B2|B3|B4|B5|Bs|Bs1|Bs2|Bs3|Bs4|Bs5|C|C1|C2|C3|C4|C5|D|D1|D2|D3|D4|D5|D6|Ds|Ds1|Ds2|Ds3|Ds4|Ds5|Ds6){1}")
    @MinOccurs(value=0L)
    private java.lang.String fasciaRetributiva

  Codice classe corrispondente alla fascia retributiva (derivante dalla contrattazione integrativa) come da CCNL del Comparto Sanità. Può essere avvalorato solo per il comparto. Può assumere i seguenti valori:
  - A : A
  - A1: A1
  - A2: A2
  - A3: A3
  - A4: A4
  - A5: A5
  - B: B
  - B1: B1
  - B2: B2
  - B3: B3
  - B4: B4
  - B5: B5
  - Bs: Bs
  - Bs1: Bs1
  - Bs2: Bs2
  - Bs3: Bs3
  - Bs4: Bs4
  - Bs5: Bs5
  - C: C
  - C1: C1
  - C2: C2
  - C3: C3
  - C4: C4
  - C5: C5
  - D: D
  - D1: D1
  - D2: D2
  - D3: D3
  - D4: D4
  - D5: D5
  - D6: D6
  - Ds: Ds
  - Ds1: Ds1
  - Ds2: Ds2
  - Ds3: Ds3
  - Ds4: Ds4
  - Ds5: Ds5
  - Ds6: Ds6

### codTipoIncaricoDDS

    @Facets(totalDigits=3L,
            pattern="(1|2|3){1}")
    @MinOccurs(value=0L)
    private java.lang.Integer codTipoIncaricoDDS

  Codice tipologia di incarico prevista per il personale del comparto con categoria D o Ds. Il campo può essere avvalorato per il comparto con categoria D-Ds. Può assumere i seguenti valori:
  - 1: POSIZIONE ORGANIZZATIVA
  - 2: COORDINAMENTO
  - 3: POSIZIONE ORGANIZZATIVA E COORDINAMENTO

### dataInizioConferimentoIncaricoDDS

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    @MinOccurs(value=0L)
    private java.lang.String dataInizioConferimentoIncaricoDDS

  Data di conferimento della tipologia di incarico per il personale comparto categoria D o Ds. Il campo è obbligatorio se è valorizzato il tipo incarico D-Ds.

### dataFineConferimentoIncaricoDDS

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    @MinOccurs(value=0L)
    private java.lang.String dataFineConferimentoIncaricoDDS

  Data di fine validità della tipologia di incarico per il personale comparto categoria D o Ds.

### dataInizioAssegnazione

    @Facets(pattern="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}")
    @MinOccurs(value=1L)
    private java.lang.String dataInizioAssegnazione

  Data in cui viene assegnato un determinato inquadramento contrattuale ad un dipendente della Dirigenza Sanità oppure di Comparto Sanità.

Constructor Detail

### DatiInquadramentoContrattuale

    public DatiInquadramentoContrattuale()

Method Detail

### setCodRuolo

    public void setCodRuolo(int codRuolo)

### getCodRuolo

    public int getCodRuolo()

### setCodProfilo

    public void setCodProfilo(java.lang.String codProfilo)

### getCodProfilo

    public java.lang.String getCodProfilo()

### setCodTipologiaIncarico

    public void setCodTipologiaIncarico(java.lang.Integer codTipologiaIncarico)

### getCodTipologiaIncarico

    public java.lang.Integer getCodTipologiaIncarico()

### setCodDisciplina

    public void setCodDisciplina(java.lang.String codDisciplina)

### getCodDisciplina

    public java.lang.String getCodDisciplina()

### setCodQualifica

    public void setCodQualifica(java.lang.Integer codQualifica)

### getCodQualifica

    public java.lang.Integer getCodQualifica()

### setCodCategoria

    public void setCodCategoria(java.lang.String codCategoria)

### getCodCategoria

    public java.lang.String getCodCategoria()

### setFasciaRetributiva

    public void setFasciaRetributiva(java.lang.String fasciaRetributiva)

### getFasciaRetributiva

    public java.lang.String getFasciaRetributiva()

### setCodTipoIncaricoDDS

    public void setCodTipoIncaricoDDS(java.lang.Integer codTipoIncaricoDDS)

### getCodTipoIncaricoDDS

    public java.lang.Integer getCodTipoIncaricoDDS()

### setDataInizioAssegnazione

    public void setDataInizioAssegnazione(java.lang.String dataInizioAssegnazione)

### getDataInizioAssegnazione

    public java.lang.String getDataInizioAssegnazione()

### getDataInizioConferimentoIncaricoDDS

    public java.lang.String getDataInizioConferimentoIncaricoDDS()

### setDataInizioConferimentoIncaricoDDS

    public void setDataInizioConferimentoIncaricoDDS(java.lang.String dataInizioConferimentoIncaricoDDS)

### getDataFineConferimentoIncaricoDDS

    public java.lang.String getDataFineConferimentoIncaricoDDS()

### setDataFineConferimentoIncaricoDDS

    public void setDataFineConferimentoIncaricoDDS(java.lang.String dataFineConferimentoIncaricoDDS)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD